ru.bitel.bgbilling.plugins.dispatch.server.dao

## Class SubscriptionDao

- java.lang.Object
- - ru.bitel.bgbilling.plugins.dispatch.server.dao.SubscriptionDao

-     public class SubscriptionDao
      extends java.lang.Object

  DAO для работы с подписками на рассылки напрямую. Вместо работы с этим DAO рекомендуется работать с `DispatchService`
  Author:
    pechenie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int subscriptionId)` Удаляет подписку по её коду.
    `void` | `deleteByDispatch(int id)` Удаляет подписки для данного типа рассылок.
    `void` | `deleteContractSubscriptions(int contractId)` Удаляет подписки договора.
    `Subscription` | `get(int id)` Возвращает подписку по её коду.
    `java.util.List<Subscription>` | `getList(int dispatchId, int contractId)`
    `java.util.List<Subscription>` | `getList(int dispatchId, int contractId, java.lang.Boolean active)` Возвращает список подписок по условиям.
    `boolean` | `isContactSubscribed(int contactId)` Поверяет, подписан ли контакт с данным кодом хотя бы на одну рассылку.
    `void` | `update(Subscription subscription)` Обновляет подписку.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubscriptionDao

          public SubscriptionDao(java.sql.Connection con)

  - ### Method Detail

    - #### get

          public Subscription get(int id)
                           throws ru.bitel.bgbilling.common.BGException

      Возвращает подписку по её коду.
      Parameters:
        `id` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getList

          public java.util.List<Subscription> getList(int dispatchId,
                                                      int contractId)
                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getList

          public java.util.List<Subscription> getList(int dispatchId,
                                                      int contractId,
                                                      java.lang.Boolean active)
                                               throws ru.bitel.bgbilling.common.BGException

      Возвращает список подписок по условиям.
      Parameters:
        `dispatchId` - если dispatchId > 0, то возвращает только подписки на эту рассылку.
        `contractId` - если contractId > 0, то возвращает только подписки данного договора.
        `active` - true - возвращает только активные подписки, false - все. Под активностью подразумевается наличие установленной галочка Активна, а также наличие активно действующего периода.
      Returns:
        список подписок
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public void delete(int subscriptionId)
                      throws ru.bitel.bgbilling.common.BGException

      Удаляет подписку по её коду.
      Parameters:
        `subscriptionId` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteByDispatch

          public void deleteByDispatch(int id)
                                throws ru.bitel.bgbilling.common.BGException

      Удаляет подписки для данного типа рассылок.
      Parameters:
        `id` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isContactSubscribed

          public boolean isContactSubscribed(int contactId)
                                      throws ru.bitel.bgbilling.common.BGException

      Поверяет, подписан ли контакт с данным кодом хотя бы на одну рассылку.
      Parameters:
        `contactId` - код контакта.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(Subscription subscription)
                      throws ru.bitel.bgbilling.common.BGException

      Обновляет подписку.
      Parameters:
        `subscription` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteContractSubscriptions

          public void deleteContractSubscriptions(int contractId)
                                           throws ru.bitel.bgbilling.common.BGException

      Удаляет подписки договора.
      Parameters:
        `contractId` - код договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`